agency-board
GET /v1/agency/boards/{boardId}/automations/{ruleId}
One rule.
Authentification
Envoyez une clé d'API en tant que jeton du porteur (bearer token). Cet endpoint n'indique pas de permission spécifique dans la spécification, attribuez donc à votre clé le minimum requis et vérifiez la réponse plutôt que de faire des suppositions.
Cet endpoint ne prend aucun identifiant d'organisation. Votre clé identifie déjà l'organisation à laquelle elle appartient, et la réponse y est limitée.
Essayer
Remplacez tout ce qui se trouve entre crochets par vos propres valeurs, et le espace réservé à la clé par une clé de votre tableau de bord.
curl -X GET https://api.zinndigital.com/v1/agency/boards/{boardId}/automations/{ruleId} \
-H "Authorization: Bearer zdk_live_…"Connecté ? La console d'API de votre tableau de bord saisit votre véritable ID d'organisation ainsi que votre propre clé, et exécute la requête sur l'API de production afin que vous puissiez voir la réponse réelle. Ouvrir ce point de terminaison dans la console API
Paramètres
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
boardId (path) | Uuid | Oui | Project board ID (UUIDv7). |
ruleId (path) | Uuid | Oui | Automation rule ID (UUIDv7). |
Réponse
| Nom | Type | Obligatoire | Qu'est-ce que c'est |
|---|---|---|---|
id | Uuid | Oui | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
board_id | Uuid | Oui | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
name | string | Oui | — |
description | string | Non | — |
trigger | string | Oui | — |
trigger_config | object | Non | — |
conditions | BoardAutomationCondition[] | Non | — |
actions | BoardAutomationAction[] | Non | — |
status | BoardAutomationStatus | Oui | `suspended` means WE paused it after repeated failure and it carries a reason the customer has not read. It is a third state rather than a reuse of `disabled`, because collapsin… |
position | integer | Non | — |
run_count | integer | Non | — |
fired_count | integer | Non | — |
consecutive_failures | integer | Non | — |
suspended_reason | string | Non | Why we paused this rule, in authored copy from a closed table — never an exception, a status or a message from our own code. The per-failure detail lives on each run (`action_re… |
suspended_at | string | Non | — |
last_fired_at | string | Non | — |
last_run_at | string | Non | — |
next_due_at | string | Non | Only set for a wall-clock rule. Null for a rule on a live act. |
created_at | string | Non | — |
updated_at | string | Non | — |
Erreurs que cet point de terminaison peut renvoyer
401 · 403 · 404